sobota, 28 sierpnia 2010

Why my Ayatana backporting project sucks?

Biggest mistake i've made, was setting stable depends for my packages. Which werent working, or even werent in AUR at all. I done this for clarity, hoping, that after i will done bzr packages, someone will make also working stable packages. This not happened, and thus my packages not gained much popularity - after all not everyone reads Arch Linux BBS, to know that he *must* install all dependencies manually with -bzr.
Thats way my packages werent popular at all, and i got almost no support for community (without two persons, which i thank).
Now im returning to making Arch packages, but still no luck with Ayatana. Much has changed in indicators bzr's and now many of them depends on GNOME 2.31 which isnt compiled on Archlinux. Because of this i cannot continue with maintaining Ayatana packages, till Arch Linux will get GNOME 2.31 (hey, why 2.31 still isnt in gnome-unstable repository?). You will propably ask - why i willn't make gnome unstable packages in aur myself? Sorry, but at the moment im maintaining or plan to maintain few dozens of very hard-to-maintain AUR packages. If i would also maintaint complete desktop enviroment this would be much to much for one person.

You can also check my thread on Archlinux BBS:

Forgot to say

Ahh, i forgot to say. I wasnt checking this blog for a very long time and much things have changed. Now im not using KDE (which performance sucks on my netbook, and i dont have desktop computer any more) - ive migrated to GNOME, and abandoned all my KDE-related AUR projects. Now im packaging Ubuntu interface projects to Arch Linux.
You can check most of them here: Ayatana Official AUR Thread, Ubuntu themes, fonts, etc and of course on my AUR profile.

Ubuntu Beta font - leaked !

Ive packaged leached (but at the moment non-NDA) Ubuntu font, which will debut in Ubuntu 10.10. Newest font version is from 25.08.2010 and its versioned as 0.1.10 (important - this is ubuntu *package* version, not version of font, which is something like 0.009). You can find it here:

Too bad, it still have some serious bugs, like kerning problems, or misplaced dot above "i" on some font sizes.

poniedziałek, 5 kwietnia 2010

KrossWordPuzzle in AUR

Ive adopted KrossWordPuzzle KDE4 game from AUR repository, and updated it to newest version. You can grab it from here.
PS. Somebody knows from where can i find some large crosswords databases?

niedziela, 4 kwietnia 2010

TP-LINK WN422G v2 - it WORKS ! :)

I was fighting to run TP-LINK WN422G v2 usb wifi adapter for a long time. I know that there is ar9170usb and ath9k_hw drivers, which should support it, but there isnt for now. Ive even tried to compile git kernel, with my patch on ar9170usb, which adds usbid of my card to this driver, but still it didnt worked. It loaded without error, but there wasnt any network interface made by it. Also official Ndiswrapper wiki told me that ndiswrapper dont work with this card.

Also i found lots of forum/newsgroup/blog posts about linux unsupporting this card in any way, and dont found even one, which tells about installing this adapter on linux successfully.

But today i tried to run this adapter one more (and last) time. This time with ndiswrapper. Ive installed driver from CDROM (ver., but ndiswrapper didnt see any adapters. So ive manually paired adapter with driver, by doing:

sudo ndiswrapper -a 0cf3:1006 netathuw
sudo ndiswrapper -m
sudo ndiswrapper -ma
sudo ndiswrapper -mi

and after system reboot ... IT WORKS. I did not encountered any probles, or dmesg errors for now, even when downloading torrents from lots of seeds, and later i will test it with networkmanager.

local/ndiswrapper 1.56-1
local/kernel26 (base)

Good luck owners of this adapter!


Ive done my secound KDE4 PKGBUILD - this time its KDE Video Menu. This is great, ffmpeg-based video converter, which works as KDE4 servicemenu. You can grab it here or install it by yaourt. Next PKGBUILD i've planned to do, is bespin-svn-full (as oposite to existing bespin-svn aur package, which installs only Kwin decoration, without any icons, kdm themes, etc), but that will be much harder to do, so propably you need to wait few days for it.

Customizable Weather Plasmoid in AUR

Today morning ive made PKGBUILD for Customizable Weather Plasmoid, and uploaded it to Arch Linux AUR repository. You can install CWP by yaourt or by manualy downloading it from here :
If you like this PKGBUILD, or want to blame me for very unclean code (this is my first, more complicated pkgbuild) please write your feedback as a comment here, or on Archlinux forum:
Stay tuned, because ive already want to compile next KDE4 package soon!